# _MagickInfo Struct Reference

`#include <magick.h>`

## Data Fields

char * | name
char * | description
char * | version
char * | note
char * | module
ImageInfo * | image_info
DecodeImageHandler * | decoder
EncodeImageHandler * | encoder
IsImageFormatHandler * | magick
void * | client_data
MagickBooleanType | adjoin
MagickBooleanType | raw
MagickBooleanType | endian_support
MagickBooleanType | blob_support
MagickBooleanType | seekable_stream
MagickStatusType | thread_support
MagickBooleanType | stealth
struct _MagickInfo * | previous
struct _MagickInfo * | next
unsigned long | signature

## Field Documentation

char* _MagickInfo::name

char * _MagickInfo::description

char * _MagickInfo::version

char * _MagickInfo::note

char * _MagickInfo::module

ImageInfo* _MagickInfo::image_info

DecodeImageHandler* _MagickInfo::decoder

EncodeImageHandler* _MagickInfo::encoder

IsImageFormatHandler* _MagickInfo::magick

void* _MagickInfo::client_data

MagickBooleanType _MagickInfo::adjoin

MagickBooleanType _MagickInfo::raw

MagickBooleanType _MagickInfo::endian_support

MagickBooleanType _MagickInfo::blob_support

MagickBooleanType _MagickInfo::seekable_stream

MagickStatusType _MagickInfo::thread_support

MagickBooleanType _MagickInfo::stealth

struct _MagickInfo* _MagickInfo::previous`[read]`

struct _MagickInfo * _MagickInfo::next`[read]`

unsigned long _MagickInfo::signature

The documentation for this struct was generated from the following file:

- magick.h